package simulator;

enum Limitation {
    NO_LIMITATION,             // Motor governed only by Mu61 & Mu37
    CHI2_1BACK,                // Always step if CHI2 one back was dot (false).
    PSI1_1BACK,                // Always step if (CHI2 one back XOR PSI1 one back) was dot (false).
    P5_2BACK,                  // Always step if (CHI2 one back XOR Plaintext bit 5 two back) was dot (false).
    PSI1_1BACK_P5_2BACK,       // Always step if CHI2 one back XOR PSI1 one back XOR Plaintext bit 5 two back) was dot (false).

}
